## org.apache.cocoon.parser
Class XercesParser

    java.lang.Object
      |
      +--org.apache.cocoon.parser.AbstractParser
            |
            +--org.apache.cocoon.parser.XercesParser

All Implemented Interfaces:
  Configurable, org.xml.sax.ErrorHandler, Parser, Status

public class XercesParser
extends AbstractParser
implements Status

This class implements an XML parser using the Apache Xerces XML parser.

Version:
  $Revision: 1.11 $ $Date: 2000/10/15 22:51:31 $
Author:
  Stefano Mazzocchi

Fields inherited from class org.apache.cocoon.parser.AbstractParser
`validation`

Constructor Summary
`XercesParser()`

Method Summary
`org.w3c.dom.Document` `createEmptyDocument()` Creates an empty DOM tree.
`java.lang.String` `getStatus()` Returns information about the status of the implementing class.
`org.w3c.dom.Document` `parse(org.xml.sax.InputSource input, boolean validate)` Creates a DOM tree parsing the given input source.

Methods inherited from class org.apache.cocoon.parser.AbstractParser
`error, fatalError, init, parse, warning`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XercesParser

    public XercesParser()

Method Detail

### parse

    public org.w3c.dom.Document parse(org.xml.sax.InputSource input,
                                      boolean validate)
                               throws org.xml.sax.SAXException,
                                      java.io.IOException

  Creates a DOM tree parsing the given input source.

### createEmptyDocument

    public org.w3c.dom.Document createEmptyDocument()

  Creates an empty DOM tree.

### getStatus

    public java.lang.String getStatus()

  Description copied from interface: `Status`
  Returns information about the status of the implementing class. Note: this is use instead of the usual `toString()` method because some of these methods are declared final in some classes in JDK 1.1.
  Specified by:
    `getStatus` in interface `Status`

Copyright © 1999-2001 Apache Software Foundation. All Rights Reserved.